For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Request featuresContact support
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
  • Docs
    • Event types
    • Tariff
  • API Reference
        • GETGet an organization's prepaid balance
        • POSTUpdate an organization's prepaid balance
        • DELReset an organization's prepaid balance
        • GETList balance transactions
        • GETList available transaction types
        • GETList billing periods
        • GETList billing details
        • GETList billing config
        • PATCHUpdate billing config
        • GETList an organization's custom rates
        • POSTCreate a new custom rate for an organization
        • DELDelete an organization's custom rate
        • POSTAssign an inclusive volume to an organization
        • DELDelete an organization's inclusive volume
LogoLogo
Request featuresContact support
API ReferenceBilling

Update billing config

PATCH
https://cdn.emnify.net/api/v1/organisation/:org_id/billing_config
PATCH
/api/v1/organisation/:org_id/billing_config
$curl -X PATCH https://cdn.emnify.net/api/v1/organisation/1.1/billing_config \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "vatin": "12345678901",
> "charging_model": {
> "id": 1
> },
> "payment_term": {
> "id": 1
> }
>}'
1{}

Updates the Billing Configuration of an organization. If there are active Data packages or inclusive volume present, charging_model can not be updated to prepaid.

Was this page helpful?
Previous

List billing config

Next

List an organization's custom rates

Built with

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the POST request to /api/v1/authenticate.

Path parameters

org_iddoubleRequired
Numerical ID of an organization

Request

This endpoint expects an object.
vatinstringOptional
invoice_issuer_infostring or nullOptional
iddoubleOptional
charging_modelobjectOptional
payment_termobjectOptional
payment_dataobjectOptional
vat_rateobjectOptional

Response

Response to a successful GET, also used for a POST if it does not result in a creation

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error